InterfaceIndexA unique value, greater than zero, for each interface or interface sub-layer in the managed system. It is recommended that values are assigned contiguously starting from 1. The value for each interface sub-layer must remain constant at least from one re-initialization of the entity's network management system to the next re-initialization. (1..2147483647) · Integer32 · hint d
The source interface index. This is the ifIndex that the traffic is coming from and the statistics is counted for the specified DCU entry.
jnxDCUDstClassName
1.3.6.1.4.1.2636.3.6.1.1.2
DisplayStringRepresents textual information taken from the NVT ASCII
character set, as defined in pages 4, 10-11 of RFC 854.
To summarize RFC 854, the NVT ASCII repertoire specifies:
- the use of character codes 0-127 (decimal)
- the graphics characters (32-126) are interpreted as US ASCII
- NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854
- the other 25 codes have no standard interpretation
- the sequence 'CR LF' means newline
- the sequence 'CR NUL' means carriage-return
- an 'LF' not preceded by a 'CR' means moving to the same column on the next line.
- the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.)
Any object defined using this syntax may not exceed 255 characters in length. SIZE (0..24) · OCTET STRING · hint 255a
The name of the destination class. This is the name of a valid configuration group defining a set of IP addresses and/or prefixes.
jnxDCUPackets
1.3.6.1.4.1.2636.3.6.1.1.3
Counter64 (0..18446744073709551615)
The number of packets being counted pertaining to the specified DCU entry.
jnxDCUBytes
1.3.6.1.4.1.2636.3.6.1.1.4
Counter64 (0..18446744073709551615)
The number of bytes being counted pertaining to the specified DCU entry.
This table contains statistics for traffic that satisfies the rules in each configured Destination Class. A separate set of statistics are kept for each Destination Class on each interface and address family on which this feature is enabled.
jnxDcuStatsSrcIfIndex
1.3.6.1.4.1.2636.3.6.2.1.1
InterfaceIndexA unique value, greater than zero, for each interface or interface sub-layer in the managed system. It is recommended that values are assigned contiguously starting from 1. The value for each interface sub-layer must remain constant at least from one re-initialization of the entity's network management system to the next re-initialization. (1..2147483647) · Integer32 · hint d
The ifIndex of the ingress interface for traffic counted in this entry.
jnxDcuStatsAddrFamily
1.3.6.1.4.1.2636.3.6.2.1.2
INTEGER1 = ipv42 = ipv6 · Integer32
The address family of this entry's traffic.
jnxDcuStatsClassName
1.3.6.1.4.1.2636.3.6.2.1.3
SnmpAdminStringAn octet string containing administrative information, preferably in human-readable form.
To facilitate internationalization, this information is represented using the ISO/IEC IS 10646-1 character set, encoded as an octet string using the UTF-8 transformation format described in [RFC2279].
Since additional code points are added by amendments to the 10646 standard from time to time, implementations must be prepared to encounter any code point from 0x00000000 to 0x7fffffff. Byte sequences that do not correspond to the valid UTF-8 encoding of a code point or are outside this range are prohibited.
The use of control codes should be avoided.
When it is necessary to represent a newline, the control code sequence CR LF should be used.
The use of leading or trailing white space should be avoided.
For code points not directly supported by user interface hardware or software, an alternative means of entry and display, such as hexadecimal, may be provided.
For information encoded in 7-bit US-ASCII, the UTF-8 encoding is identical to the US-ASCII encoding.
UTF-8 may require multiple bytes to represent a single character / code point; thus the length of this object in octets may be different from the number of characters encoded. Similarly, size constraints refer to the number of encoded octets, not the number of characters represented by an encoding.
Note that when this TC is used for an object that is used or envisioned to be used as an index, then a SIZE restriction MUST be specified so that the number of sub-identifiers for any object instance does not exceed the limit of 128, as defined by [RFC3416].
Note that the size of an SnmpAdminString object is measured in octets, not characters. SIZE (0..112) · OCTET STRING · hint 255t
The name of the destination class.
jnxDcuStatsPackets
1.3.6.1.4.1.2636.3.6.2.1.4
Counter64 (0..18446744073709551615)
The number of packets received on this interface, belonging to this address family that match this Destination Class.
jnxDcuStatsBytes
1.3.6.1.4.1.2636.3.6.2.1.5
Counter64 (0..18446744073709551615)
The number of bytes received on this interface, belonging to this address family that match this Destination Class.
jnxDcuStatsClName
1.3.6.1.4.1.2636.3.6.2.1.6
SnmpAdminStringAn octet string containing administrative information, preferably in human-readable form.
To facilitate internationalization, this information is represented using the ISO/IEC IS 10646-1 character set, encoded as an octet string using the UTF-8 transformation format described in [RFC2279].
Since additional code points are added by amendments to the 10646 standard from time to time, implementations must be prepared to encounter any code point from 0x00000000 to 0x7fffffff. Byte sequences that do not correspond to the valid UTF-8 encoding of a code point or are outside this range are prohibited.
The use of control codes should be avoided.
When it is necessary to represent a newline, the control code sequence CR LF should be used.
The use of leading or trailing white space should be avoided.
For code points not directly supported by user interface hardware or software, an alternative means of entry and display, such as hexadecimal, may be provided.
For information encoded in 7-bit US-ASCII, the UTF-8 encoding is identical to the US-ASCII encoding.
UTF-8 may require multiple bytes to represent a single character / code point; thus the length of this object in octets may be different from the number of characters encoded. Similarly, size constraints refer to the number of encoded octets, not the number of characters represented by an encoding.
Note that when this TC is used for an object that is used or envisioned to be used as an index, then a SIZE restriction MUST be specified so that the number of sub-identifiers for any object instance does not exceed the limit of 128, as defined by [RFC3416].
Note that the size of an SnmpAdminString object is measured in octets, not characters. SIZE (0..112) · OCTET STRING · hint 255t
The name of the destination class. This object is a duplicate of jnxDcuStatsClassName and is included to satisfy those NM applications that can't extract the name from the instance portion of the OID.